package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AttendanceExceptionLogFactory
{
    private AttendanceExceptionLogFactory()
    {
    }
    public static com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("F478FDEB") ,com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog.class);
    }
    
    public static com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("F478FDEB") ,com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog.class, objectCtx);
    }
    public static com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("F478FDEB"));
    }
    public static com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.IAttendanceExceptionLog)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("F478FDEB"));
    }
}